.\"	$NetBSD: ppi.4,v 1.7 2002/04/05 05:37:23 gmcgarry Exp $
.\"
.\" Copyright (c) 1990, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)ppi.4	8.1 (Berkeley) 6/9/93
.\"
.Dd June 9, 1993
.Dt PPI 4 hp300
.Os
.Sh NAME
.Nm ppi
.Nd
.Tn HP-IB
printer/plotter interface
.Sh SYNOPSIS
.Cd "ppi0 at hpibbus0 slave 5"
.Sh DESCRIPTION
The
.Nm ppi
interface provides a means of communication with
.Tn HP-IB
printers and plotters.
.Pp
Special files
.Pa ppi0
through
.Pa ppi7
are used to access the devices, with the digit at the end
of the filename referring to the bus address of the device.
Current versions of the autoconf code can not probe for these
devices, so the device entry in the configuration file must be
fully qualified.
.Pp
The device files appear as follows:
.Bd -literal -offset indent
"crw-rw-rw-  1 root      11,   0 Dec 21 11:22 /dev/ppi"
.Ed
.Sh DIAGNOSTICS
None.
.Sh SEE ALSO
.Xr hpib 4
.Sh BUGS
This driver is very primitive, it handshakes data out byte by byte.
It should use
.Tn DMA
if possible.
